net.sf.jasperreports.engine.export

## Class HtmlExporter.TableVisitor

- java.lang.Object
- - net.sf.jasperreports.engine.export.HtmlExporter.TableVisitor

- All Implemented Interfaces:
    CellVisitor<TablePosition,java.lang.Void,java.io.IOException>
  Enclosing class:
    HtmlExporter

      protected class HtmlExporter.TableVisitor
      extends java.lang.Object
      implements CellVisitor<TablePosition,java.lang.Void,java.io.IOException>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlExporter.TableVisitor(Tabulator tabulator, PrintElementVisitor<TableCell> elementVisitor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Void` | `visit(ElementCell cell, TablePosition position)`
    `java.lang.Void` | `visit(FrameCell frameCell, TablePosition position)`
    `java.lang.Void` | `visit(LayeredCell layeredCell, TablePosition position)`
    `java.lang.Void` | `visit(SplitCell cell, TablePosition position)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlExporter.TableVisitor

          public HtmlExporter.TableVisitor(Tabulator tabulator,
                                   PrintElementVisitor<TableCell> elementVisitor)

  - ### Method Detail

    - #### visit

          public java.lang.Void visit(ElementCell cell,
                             TablePosition position)

      Specified by:
        `visit` in interface `CellVisitor<TablePosition,java.lang.Void,java.io.IOException>`

    - #### visit

          public java.lang.Void visit(SplitCell cell,
                             TablePosition position)

      Specified by:
        `visit` in interface `CellVisitor<TablePosition,java.lang.Void,java.io.IOException>`

    - #### visit

          public java.lang.Void visit(FrameCell frameCell,
                             TablePosition position)
                               throws java.io.IOException

      Specified by:
        `visit` in interface `CellVisitor<TablePosition,java.lang.Void,java.io.IOException>`
      Throws:
        `java.io.IOException`

    - #### visit

          public java.lang.Void visit(LayeredCell layeredCell,
                             TablePosition position)
                               throws java.io.IOException

      Specified by:
        `visit` in interface `CellVisitor<TablePosition,java.lang.Void,java.io.IOException>`
      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com